\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
leda_integer Class Reference
LEDA

`#include <CGAL/leda_integer.h>`

## Definition

The class `leda_integer` provides exact computation in \( \Z\).

The class `leda_integer` is a wrapper class that provides the functions needed to use the number type `leda::integer`, representing exact multiprecision integers provided by LEDA.

Is Model Of:

  `EuclideanRing`

  `RealEmbeddable`

For more details on the number types of LEDA we refer to the LEDA manual [4].